Skip to content

ACL

All operations require authentication.

4 operationsv2/publicCloud/project
Agent setup

List ACLsProduction

GET
/v2/publicCloud/project/{projectId}/storage/file/share/{fileStorageId}/acl

Returns the ACLs of the file storage.

Path parameters

fileStorageId
required
stringuuid

File storage ID

projectId
required
string

Project ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200ShareAcl[]successful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the access rule

currentState
read-only
ShareAclState

Current observed state of the access rule from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the access rule

id
read-only
stringuuid

Unique identifier of the access rule

resourceStatus
read-only
ResourceStatusEnum

Access rule readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
ShareAclTargetSpec

Last target specification of the access rule

updatedAt
read-only
stringdate-time

Last update date of the access rule

Example uses fileStorageId = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/file/share/{fileStorageId}/acl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessLevel": "READ_ONLY", "accessTo": "string", "createdAt": "2024-01-01T12:00:00Z", "state": "ACTIVE" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "accessLevel": "READ_ONLY", "accessTo": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]

Get an ACLProduction

GET
/v2/publicCloud/project/{projectId}/storage/file/share/{fileStorageId}/acl/{aclId}

Returns the ACL and its current state.

Path parameters

aclId
required
stringuuid

Acl ID

fileStorageId
required
stringuuid

File storage ID

projectId
required
string

Project ID

Response

200ShareAclsuccessful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the access rule

currentState
read-only
ShareAclState

Current observed state of the access rule from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the access rule

id
read-only
stringuuid

Unique identifier of the access rule

resourceStatus
read-only
ResourceStatusEnum

Access rule readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
ShareAclTargetSpec

Last target specification of the access rule

updatedAt
read-only
stringdate-time

Last update date of the access rule

404objectError 404 response

Example uses aclId = 00000000-0000-0000-0000-000000000000, fileStorageId = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/file/share/{fileStorageId}/acl/{aclId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessLevel": "READ_ONLY", "accessTo": "string", "createdAt": "2024-01-01T12:00:00Z", "state": "ACTIVE" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "accessLevel": "READ_ONLY", "accessTo": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Create an ACLProduction

POST
/v2/publicCloud/project/{projectId}/storage/file/share/{fileStorageId}/acl

Grants read-write or read-only access to the file storage to an IP address or CIDR block.

Path parameters

fileStorageId
required
stringuuid

File storage ID

projectId
required
string

Project ID

Request body (required)

targetSpec
required
ShareAclTargetSpec

Desired target specification for the access rule

Response

200ShareAclsuccessful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the access rule

currentState
read-only
ShareAclState

Current observed state of the access rule from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the access rule

id
read-only
stringuuid

Unique identifier of the access rule

resourceStatus
read-only
ResourceStatusEnum

Access rule readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
ShareAclTargetSpec

Last target specification of the access rule

updatedAt
read-only
stringdate-time

Last update date of the access rule

400objectError 400 response
404objectError 404 response

Example uses fileStorageId = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/file/share/{fileStorageId}/acl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessLevel": "READ_ONLY", "accessTo": "string", "createdAt": "2024-01-01T12:00:00Z", "state": "ACTIVE" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "accessLevel": "READ_ONLY", "accessTo": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Delete an ACLProduction

DELETE
/v2/publicCloud/project/{projectId}/storage/file/share/{fileStorageId}/acl/{aclId}

Deletes the ACL and revokes the access it granted.

Path parameters

aclId
required
stringuuid

Acl ID

fileStorageId
required
stringuuid

File storage ID

projectId
required
string

Project ID

Response

200ShareAclsuccessful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the access rule

currentState
read-only
ShareAclState

Current observed state of the access rule from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the access rule

id
read-only
stringuuid

Unique identifier of the access rule

resourceStatus
read-only
ResourceStatusEnum

Access rule readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
ShareAclTargetSpec

Last target specification of the access rule

updatedAt
read-only
stringdate-time

Last update date of the access rule

404objectError 404 response
409objectError 409 response

Example uses aclId = 00000000-0000-0000-0000-000000000000, fileStorageId = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/file/share/{fileStorageId}/acl/{aclId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessLevel": "READ_ONLY", "accessTo": "string", "createdAt": "2024-01-01T12:00:00Z", "state": "ACTIVE" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "accessLevel": "READ_ONLY", "accessTo": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}